MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024743Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2014-03-20 14:232017-12-05 17:09
Reporteribs 
Assigned Toibs 
PrioritynormalSeverityminor 
StatusassignedResolutionopen 
PlatformOSOS Version
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0024743: checkshape ignores self-intersection of wires in specific case
Description1. if two edges from being researched wire have one common vertex.

2. These edges intersect each other in some point.

3. deviation from each edge to line connecting intersect point with "common vertex" point isn't greater than double tolerance of participating edge

this intersect point is ignored by checkshape (due to, i suppose, checkshape determines this intersection as the beginning of the "topological" segment of intersection with its end in common vertex).
Steps To Reproducerestore bug24743.brep a
checkshape a

bopargcheck a #F
Additional information
and documentation updates
bopargcheck determines that case as self-intersection fault
TagsNo tags attached.
Test case numberbugs modalg_5(010) bug24743
Attached Files? file icon bug24743.brep (67,049 bytes) 2014-03-20 14:24

- Relationships
parent of 0024760newmsv checkshape isn't consistent to bopargcheck in sefl-intersect wire 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0028402)
ibs (developer)
2014-03-20 15:27

CR24743 branch is ready for reviewing
(0028407)
ifv (developer)
2014-03-20 17:56

Ok
(0028432)
mkv (tester)
2014-03-21 20:16

Dear BugMaster,

Branch CR24743 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: d64e0bb6ac55861d277bd9deec3564fd0d32ee34

Number of compiler warnings:

occt component :
Linux: 29 (30 on master)
Windows: 0 (0 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
http://occt-tests/CR24743-master-occt/Debian60-64/summary.html [^]
http://occt-tests/CR24743-master-occt/Windows-32-VC9/summary.html [^]

- Issue History
Date Modified Username Field Change
2014-03-20 14:23 ibs New Issue
2014-03-20 14:23 ibs Assigned To => ibs
2014-03-20 14:24 ibs File Added: bug24743.brep
2014-03-20 14:24 ibs Steps to Reproduce Updated View Revisions
2014-03-20 14:36 ibs Description Updated View Revisions
2014-03-20 15:27 ibs Note Added: 0028402
2014-03-20 15:27 ibs Assigned To ibs => ifv
2014-03-20 15:27 ibs Status new => resolved
2014-03-20 17:56 ifv Note Added: 0028407
2014-03-20 17:56 ifv Status resolved => reviewed
2014-03-20 18:44 mkv Assigned To ifv => mkv
2014-03-21 20:16 mkv Note Added: 0028432
2014-03-21 20:17 mkv Test case number => bugs modalg_5(010) bug24743
2014-03-21 20:17 mkv Assigned To mkv => ibs
2014-03-21 20:17 mkv Status reviewed => assigned
2014-03-24 11:24 ibs Relationship added related to 0024108
2014-03-24 14:26 ibs Relationship added parent of 0024760
2014-03-24 14:30 ibs Relationship deleted related to 0024108
2014-04-04 18:09 abv Target Version 6.7.1 => 6.8.0
2014-09-26 10:46 abv Target Version 6.8.0 => 7.1.0
2016-10-28 16:28 msv Target Version 7.1.0 => 7.2.0
2017-07-24 09:32 msv Target Version 7.2.0 => 7.3.0
2017-12-05 17:09 msv Target Version 7.3.0 => 7.4.0*


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker